Microsoft Security Bulletin MS12-068 - Important

Vulnerability in Windows Kernel Could Allow Elevation of Privilege (2724197)

Published:

Version: 1.0

General Information

Executive Summary

This security update resolves a privately reported vulnerability in all supported releases of Microsoft Windows except Windows 8 and Windows Server 2012. This security update is rated Important for all supported editions of Windows XP, Windows Server 2003, Windows Vista, Windows Server 2008, Windows 7, and Windows Server 2008 R2. For more information, see the subsection, Affected and Non-Affected Software, in this section.

The vulnerability could allow elevation of privilege if an attacker logs on to the system and runs a specially crafted application. An attacker must have valid logon credentials and be able to log on locally to exploit this vulnerability.

The security update addresses the vulnerability by correcting the way that the Windows kernel handles objects in memory. For more information about the vulnerability, see the Frequently Asked Questions (FAQ) subsection for the specific vulnerability entry under the next section, Vulnerability Information.

Recommendation. Most customers have automatic updating enabled and will not need to take any action because this security update will be downloaded and installed automatically. Customers who have not enabled automatic updating need to check for updates and install this update manually. For information about specific configuration options in automatic updating, see Microsoft Knowledge Base Article 294871.

For administrators and enterprise installations, or end users who want to install this security update manually, Microsoft recommends that customers apply the update at the earliest opportunity using update management software, or by checking for updates using the Microsoft Update service.

See also the section, Detection and Deployment Tools and Guidance, later in this bulletin.

Known Issues. None

Affected and Non-Affected Software

The following software have been tested to determine which versions or editions are affected. Other versions or editions are either past their support life cycle or are not affected. To determine the support life cycle for your software version or edition, see Microsoft Support Lifecycle.

Affected Software

Operating SystemMaximum Security ImpactAggregate Severity RatingUpdates Replaced
Windows XP
Windows XP Service Pack 3
(KB2724197)
Elevation of PrivilegeImportantKB2707511 in MS12-042 replaced by KB2724197
Windows XP Professional x64 Edition Service Pack 2
(KB2724197)
Elevation of PrivilegeImportantKB971486 in MS09-058 replaced by KB2724197
Windows Server 2003
Windows Server 2003 Service Pack 2
(KB2724197)
Elevation of PrivilegeImportantKB2707511 in MS12-042 replaced by KB2724197
Windows Server 2003 x64 Edition Service Pack 2
(KB2724197)
Elevation of PrivilegeImportantKB979683 in MS10-021 replaced by KB2724197
Windows Server 2003 with SP2 for Itanium-based Systems
(KB2724197)
Elevation of PrivilegeImportantKB979683 in MS10-021 replaced by KB2724197
Windows Vista
Windows Vista Service Pack 2
(KB2724197)
Elevation of PrivilegeImportantKB2633171 in MS11-098 replaced by KB2724197
Windows Vista x64 Edition Service Pack 2
(KB2724197)
Elevation of PrivilegeImportantKB2556532 in MS11-068 replaced by KB2724197
Windows Server 2008
Windows Server 2008 for 32-bit Systems Service Pack 2
(KB2724197)
Elevation of PrivilegeImportantKB2633171 in MS11-098 replaced by KB2724197
Windows Server 2008 for x64-based Systems Service Pack 2
(KB2724197)
Elevation of PrivilegeImportantKB2556532 in MS11-068 replaced by KB2724197
Windows Server 2008 for Itanium-based Systems Service Pack 2
(KB2724197)
Elevation of PrivilegeImportantKB2556532 in MS11-068 replaced by KB2724197
Windows 7
Windows 7 for 32-bit Systems
(KB2724197)
Elevation of PrivilegeImportantKB2633171 in MS11-098 replaced by KB2724197
Windows 7 for 32-bit Systems Service Pack 1
(KB2724197)
Elevation of PrivilegeImportantKB2633171 in MS11-098 replaced by KB2724197
Windows 7 for x64-based Systems
(KB2724197)
Elevation of PrivilegeImportantKB2709715 in MS12-042 replaced by KB2724197
Windows 7 for x64-based Systems Service Pack 1
(KB2724197)
Elevation of PrivilegeImportantKB2709715 in MS12-042 replaced by KB2724197
Windows Server 2008 R2
Windows Server 2008 R2 for x64-based Systems
(KB2724197)
Elevation of PrivilegeImportantKB2709715 in MS12-042 replaced by KB2724197
Windows Server 2008 R2 for x64-based Systems Service Pack 1
(KB2724197)
Elevation of PrivilegeImportantKB2709715 in MS12-042 replaced by KB2724197
Windows Server 2008 R2 for Itanium-based Systems
(KB2724197)
Elevation of PrivilegeImportantKB2556532 in MS11-068 replaced by KB2724197
Windows Server 2008 R2 for Itanium-based Systems Service Pack 1
(KB2724197)
Elevation of PrivilegeImportantKB2556532 in MS11-068 replaced by KB2724197
Server Core installation option
Windows Server 2008 for 32-bit Systems Service Pack 2 (Server Core installation)
(KB2724197)
Elevation of PrivilegeImportantKB2633171 in MS11-098 replaced by KB2724197
Windows Server 2008 for x64-based Systems Service Pack 2 (Server Core installation)
(KB2724197)
Elevation of PrivilegeImportantKB2556532 in MS11-068 replaced by KB2724197
Windows Server 2008 R2 for x64-based Systems (Server Core installation)
(KB2724197)
Elevation of PrivilegeImportantKB2709715 in MS12-042 replaced by KB2724197
Windows Server 2008 R2 for x64-based Systems Service Pack 1 (Server Core installation)
(KB2724197)
Elevation of PrivilegeImportantKB2709715 in MS12-042 replaced by KB2724197

Non-Affected Software

Operating System
Windows 8 for 32-bit Systems
Windows 8 for 64-bit Systems
Windows Server 2012
Server Core installation option
Windows Server 2012 (Server Core installation)

Frequently Asked Questions (FAQ) Related to This Security Update

Vulnerability Information

Severity Ratings and Vulnerability Identifiers

Windows Kernel Integer Overflow Vulnerability - CVE-2012-2529

Update Information

Detection and Deployment Tools and Guidance

Security Update Deployment

Other Information

Acknowledgments

Microsoft thanks the following for working with us to help protect customers:

  • An anonymous researcher, working with VeriSign iDefense Labs, for reporting the Windows Kernel Integer Overflow Vulnerability (CVE-2012-2529)

Microsoft Active Protections Program (MAPP)

To improve security protections for customers, Microsoft provides vulnerability information to major security software providers in advance of each monthly security update release. Security software providers can then use this vulnerability information to provide updated protections to customers via their security software or devices, such as antivirus, network-based intrusion detection systems, or host-based intrusion prevention systems. To determine whether active protections are available from security software providers, please go to the active protections websites provided by program partners, listed in Microsoft Active Protections Program (MAPP) Partners.

Support

How to obtain help and support for this security update

Disclaimer

The information provided in the Microsoft Knowledge Base is provided "as is" without warranty of any kind. Microsoft disclaims all warranties, either express or implied, including the warranties of merchantability and fitness for a particular purpose. In no event shall Microsoft Corporation or its suppliers be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages, even if Microsoft Corporation or its suppliers have been advised of the possibility of such damages. Some states do not allow the exclusion or limitation of liability for consequential or incidental damages so the foregoing limitation may not apply.

Revisions

  • V1.0 (October 9, 2012): Bulletin published.